Subject: RE: [Ecrit] Dial Strings...

From: "Stark, Barbara" <[email-masked]>
Date: Wed, 22 Mar 2006 11:57:05 -0600

Brian said:
The intersection of a local emergency dialstring with a home dialplan
are
ugly.  We looked at this in PacketCable 2.0 work.  I believe the
conclusion
is that with any of the methods people have for representing dialplans
that
can be automatically processed by a phone or proxy, that inserting the
local
dialstring into those dialplans is way too hard.  What you probably have
to
do is to just have a list of local dialstrings and have the interpreter
have
special processing that looks for them independently of the dial plan
interpretation.

The home dial string can be imbedded in the dial plan, and almost always
is.

--------
Thanks, Brian. That's exactly what I wanted to say. If we do want to
design methods to get the visited emergency strings (can we use the
words "visited" and "home" -- "local" is really confusing to me, since
I'm not sure if it's local to home or local to visited?), I believe we
also need to provide guidance on how to use these strings, relative to
the device's current digit map. I think predictable behavior on the part
of client devices is very important here. 
Barbara

*****
"The information transmitted is intended only for the person or entity to which it is addressed and may contain confidential, proprietary, and/or privileged material.  Any review, retransmission, dissemination or other use of, or taking of any action in reliance upon, this information by persons or entities other than the intended recipient is prohibited.  If you received this in error, please contact the sender and delete the material from all computers."  118

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit

---

From: "Marc Linsner" <[email-masked]>
Date: Wed, 22 Mar 2006 13:27:07 -0500

Barbara,

First, I'm not opposed to using the terms you suggested.  But I would like
to provide some rationale.

The term "local" is a currency issue.  "Local" is where I'm at right now.
The term "visited" has less meaning in the Internet model since from the
application point of view, the Internet is your "home" network (there is
only one Internet).  The term "home" doesn't refer to a network per se, but
locale that the user is most oriented to the local custom(s) (dial 9-1-1 as
example in North America).

-Marc-

> -----Original Message-----
> From: Stark, Barbara [mailto:[email-masked]] 
> Sent: Wednesday, March 22, 2006 12:57 PM
> To: [email-masked]; Stastny Richard; Marc Linsner; [email-masked]
> Subject: RE: [Ecrit] Dial Strings...
> 
> Brian said:
> The intersection of a local emergency dialstring with a home 
> dialplan are ugly.  We looked at this in PacketCable 2.0 
> work.  I believe the conclusion is that with any of the 
> methods people have for representing dialplans that can be 
> automatically processed by a phone or proxy, that inserting 
> the local dialstring into those dialplans is way too hard.  
> What you probably have to do is to just have a list of local 
> dialstrings and have the interpreter have special processing 
> that looks for them independently of the dial plan interpretation.
> 
> The home dial string can be imbedded in the dial plan, and 
> almost always is.
> 
> --------
> Thanks, Brian. That's exactly what I wanted to say. If we do 
> want to design methods to get the visited emergency strings 
> (can we use the words "visited" and "home" -- "local" is 
> really confusing to me, since I'm not sure if it's local to 
> home or local to visited?), I believe we also need to provide 
> guidance on how to use these strings, relative to the 
> device's current digit map. I think predictable behavior on 
> the part of client devices is very important here. 
> Barbara
> 
> *****
> "The information transmitted is intended only for the person 
> or entity to which it is addressed and may contain 
> confidential, proprietary, and/or privileged material.  Any 
> review, retransmission, dissemination or other use of, or 
> taking of any action in reliance upon, this information by 
> persons or entities other than the intended recipient is 
> prohibited.  If you received this in error, please contact 
> the sender and delete the material from all computers."  118